import { Request, Response, NextFunction } from 'express';
import { News } from '../../models/News.interface';

const getNewsListMiddleware = () => {
    return (req: Request, res: Response, next: NextFunction) => {
        const NewsArray: News[] = [];

        NewsArray.push({
            author: {
                userName: 'Chif',
                _id: 0,
            },
            title: 'Chif news',
            text: 'asdasdasdasd',
            publishDate: new Date(),
        });
        
        res.json({ news: NewsArray});
    }

}

export default getNewsListMiddleware;